- libbson 1.13.1 »
- API Reference »
- bson_string_t

# bson_string_append()

## Synopsis

    void
    bson_string_append (bson_string_t *string, const char *str);

## Parameters

- `string`: A bson_string_t.
- `str`: A string.

## Description

Appends the ASCII or UTF-8 encoded string `str` to `string`. This is not suitable for embedding NULLs in strings.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.